#
# Makfile for compilation of picoTCP tests for DOS
#
# Copyright (C) 2015 Mateusz Viste
# http://picotcp4dos.sourceforge.net
#


# memory model (t, s, c, m, l)
MODEL = l

CFLAGS = -I..\ -we -d0 -wx -0 -m$(MODEL)
CLIB = ..\picodos$(MODEL).lib ..\picotcp$(MODEL).lib


all: socktest.exe

socktest.exe: socktest.c
	wcl socktest.c $(CFLAGS) $(CLIB)

clean: .symbolic
	del *.exe
	del *.obj
